GET /api/workflows

Spaces method and path for this operation:

get /s/{space_id}/api/workflows

Refer to Spaces for more information.

Retrieve a paginated list of workflows with optional filtering.

[Required authorization] Route required privileges: workflowsManagement:read OR workflowsManagement:readExecution.

Query parameters

  • query string

    Free-text search query.

  • size number

    Number of results per page.

    Minimum value is 1.

  • page number

    Page number.

    Minimum value is 1.

  • enabled array[boolean]

    Filter by enabled state.

    Not more than 2 elements.

  • createdBy array[string]

    Filter by creator.

    Not more than 1000 elements.

  • tags array[string]

    Filter by tags.

    Not more than 1000 elements.

Responses

  • 200 application/json

    Indicates a successful response

GET /api/workflows
curl \
  -X GET "${KIBANA_URL}/api/workflows?size=20&page=1" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/workflows?size=20&page=1
Response examples (200)
Example response returning a paginated list of workflows
{
  "page": 1,
  "size": 20,
  "total": 1,
  "results": [
    {
      "id": "workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Example definition",
      "tags": [
        "example"
      ],
      "valid": true,
      "enabled": true,
      "history": [
        {
          "id": "exec-001",
          "status": "completed",
          "duration": 5000,
          "startedAt": "2025-11-20T12:00:00.000Z",
          "finishedAt": "2025-11-20T12:00:05.000Z",
          "workflowId": "workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
          "workflowName": "Example definition"
        }
      ],
      "createdAt": "2025-11-20T10:30:00.000Z",
      "definition": {
        "name": "Example definition",
        "steps": [
          {
            "name": "hello_world_step",
            "type": "console",
            "with": {
              "message": "{{ inputs.message }}"
            }
          }
        ],
        "inputs": [
          {
            "name": "message",
            "type": "string",
            "default": "hello world"
          }
        ],
        "enabled": true,
        "triggers": [
          {
            "type": "manual"
          }
        ],
        "description": "This is a workflow example"
      },
      "description": "This is a workflow example"
    }
  ]
}